Fetch conversation(s)
curl --request GET \
--url https://catalystapi.superdashhq.com/api/v1/conversation/workspace/{workspaceId}/{userIdentifier} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://catalystapi.superdashhq.com/api/v1/conversation/workspace/{workspaceId}/{userIdentifier}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://catalystapi.superdashhq.com/api/v1/conversation/workspace/{workspaceId}/{userIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "Conversation Id associated with the conversation.",
"workspace": "UUID associated with a workspace",
"messages" : [],
"attributes": {}
}
{
"code": "Error code",
"moreInfo": "Link to read about the error "
}
{
"msg": "Api key is not valid"
}
{
"msg": "Forbidden"
}
```json 404
{
"msg": "Conversation not found"
}
{
"msg": "Internal Server Error"
}
Chat
Fetch conversation(s)
Use this API endpoint to retrieve the complete conversation linked to a specific user identifier.
GET
/
v1
/
conversation
/
workspace
/
{workspaceId}
/
{userIdentifier}
Fetch conversation(s)
Authorizations
string
required
API key associated with your project/workspace
Path Parameters
string
required
The UUID associated with a project/workspace.
string
required
Unique customerID used to store the customer conversation.
Response
string
The ID associated with the conversation.
string
UUID associated with a workspace
object
The user identifier
array
Array containing conversation threads associated with the user identifier
{
"_id": "Conversation Id associated with the conversation.",
"workspace": "UUID associated with a workspace",
"messages" : [],
"attributes": {}
}
{
"code": "Error code",
"moreInfo": "Link to read about the error "
}
{
"msg": "Api key is not valid"
}
{
"msg": "Forbidden"
}
```json 404
{
"msg": "Conversation not found"
}
{
"msg": "Internal Server Error"
}
⌘I